<?php
// +---------------------------------------------------------------------------------------+
// | TenderSystem                                                                          |
// +---------------------------------------------------------------------------------------+
// | The contents of this file are subject to the TenderSystem Public License Version 1.1  |
// | ("License"); you may not use this file except in compliance with the License. You may |
// | obtain a copy of the License at http://www.tendersystem.com/tpl/                      |
// |                                                                                       |
// | Software distributed under the License is distributed on an "AS IS" basis, WITHOUT    |
// | WARRANTY OF ANY KIND, either express or implied. See the License for the specific     |
// | language governing rights and limitations under the License.                          |
// |                                                                                       |
// | All copies of the Covered Code must include the "Powered by TenderSystem" logo and    |
// | ValueCard copyright notice on every user interface screen and in every outgoing       |
// | email in the same form as they appear in the distribution.                            |
// |                                                                                       |
// | The Original Code is: TenderSystem                                                    |
// | The Initial Developer of the Original Code is ValueCard (Pty) Limited.                |
// | Portions created by ValueCard are Copyright (C) 2002 ValueCard (Pty) Limited.         |
// | All Rights Reserved.                                                                  |
// | Contributor(s): __________________.                                                   |
// +---------------------------------------------------------------------------------------+
// type, Default, NOT NULL, UNIQUE, Table Reference
$table['users']['username']			= array("varchar(100)",	FALSE,		TRUE,	TRUE);
$table['users']['password_key']		= array("varchar(255)",	FALSE,		TRUE);
$table['users']['name']				= array("varchar(255)",	FALSE,		TRUE);
$table['users']['surname']			= array("varchar(255)",	FALSE,		TRUE);
$table['users']['phone_prefix']		= array("varchar(255)",	"",			TRUE);
$table['users']['phone_work']		= array("varchar(255)",	"",			TRUE);
$table['users']['phone_fax']		= array("varchar(255)",	"",			TRUE);
$table['users']['phone_mobile']		= array("varchar(255)",	"",			TRUE);
$table['users']['email']			= array("varchar(255)",	"",			TRUE);
$table['users']['date_of_birth']	= array("date");
$table['users']['emailimages']		= array("char(1)");
$table['users']['skype']			= array("varchar(255)");
$table['users']['instant_messager']	= array("varchar(255)");
$table['users']['im_contact']		= array("varchar(255)");
$table['users']['organisation']		= array("integer",		FALSE,		TRUE,	FALSE,	"organisation");
$table['users']['branch']			= array("integer",		FALSE,		TRUE,	FALSE,	"organisation_branch");
$table['users']['preference']		= array("varchar(255)",	"0",		TRUE);
$table['users']['mandate']			= array("money",		"9999.99",	TRUE);
$table['users']['classification']	= array("integer",		FALSE,		TRUE);
$table['users']['permission']		= array("integer",		"1",		TRUE);
$table['users']['theme']			= array("varchar(255)",	"default",	TRUE);
$table['users']['language']			= array("char(2)",		"en",		TRUE);
$table['users']['administrator']	= array("integer");
$table['users']['status']			= array("integer",		"0",		TRUE);

?>
